Bug 434368 - fuse-encfs failed massrebuild attempt for GCC 4.3
fuse-encfs failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fuse-encfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:05 EST by Jesse Keating
Modified: 2013-01-09 22:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 06:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:05:27 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=443173
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-29 20:24:02 EST
scratch build 480655
Comment 2 Jon Stanley 2008-02-29 22:16:12 EST
ConfigVar.cpp: In member function 'int ConfigVar::read(unsigned char*, int) const':
ConfigVar.cpp:74: error: 'memcpy' was not declared in this scope
Comment 3 Alex Lancaster 2008-03-28 06:54:33 EDT
Peter, I updated the patch and now it successfully rebuilds in rawhide, so
closing bug:

http://koji.fedoraproject.org/koji/taskinfo?taskID=535788

Not sure if you say this already, but I found this page helpful if you have to
port other packages to GCC 4.3:

http://gcc.gnu.org/gcc-4.3/porting_to.html
Comment 4 Peter Lemenkov 2008-03-29 05:38:39 EDT
Pushed to Rawhide finally. Thanks!

Note You need to log in before you can comment on or make changes to this bug.